## Cities related end points

Pagination:
see [PagingAndSorting.md](../PagingAndSorting.md) 

## List News Categories ##

### GET - api/v1/news-categories

Path parameters:
* order[by] - possible values are: name, id
* filter[name] - used for autocomplete functions; search by news category name
* filter[ids] - Accepts a set of ids

#### Example request:
/api/v1/news-categories

##### Response:
```json
{
    "data": [
        {
            "id": 3,
            "name": "Categoria de teste"
        },
        {
            "id": 2,
            "name": "Categoria de notícias"
        }
    ],
    "pagination": {
        "current_page": 1,
        "total_items": 2,
        "per_page": 10,
        "total_pages": 1
    }
}
```



## Get News category detail ##

### GET - api/v1/news-categories/{id}

Path parameters: 

* id - ❗required

#### Example request: 
/api/v1/news-categories/2

##### Response:

```json
{
    "data": {
        "id": 2,
        "name": "News category"
    }
}
```

